Commit af848051 by rmrf

Rakefile update

parent 2db6069d
Pipeline #31887 failed with stages
require 'bundler'
begin
Bundler.setup(:default, :development)
rescue Bundler::BundlerError => e
......@@ -10,15 +11,24 @@ require 'rake'
require 'jekyll/scholar/version'
require 'cucumber/rake/task'
Cucumber::Rake::Task.new(:features)
#require 'cucumber/rake/task'
#Cucumber::Rake::Task.new(:features)
task :default => [:features]
require 'coveralls/rake/task'
Coveralls::RakeTask.new
task :test_with_coveralls => [:features, 'coveralls:push']
#require 'coveralls/rake/task'
#Coveralls::RakeTask.new
#task :test_with_coveralls => [:features, 'coveralls:push']
require 'jekyll/scholar/version'
# Bring latest commit to oldest
# Mirror to github without history
task :github do |t|
system "git checkout --orphan upit"
system "git commit -m 'Push jekyll-scholar-extras #{Jekyll::ScholarExtras::VERSION} to github' "
system "echo 'push to remote without history'"
system "git checkout master"
system "git branch -D upit"
end
# Bring oldest commit to latest
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment